configuration Main
{
    param(
        $AutomationEndpoint,
        [PSCredential] $Token,
        $GroupName
    )
    Import-DscResource -ModuleName HybridRunbookWorkerDsc
    Node "localhost"
    {
        WaitForHybridRegistrationModule ModuleWait {
            IsSingleInstance = 'Yes'
            RetryIntervalSec = 5
            RetryCount       = 50
        }
        HybridRunbookWorker Onboard {
            Ensure    = 'Present'
            Endpoint  = $AutomationEndpoint
            Token     = $Token
            GroupName = $GroupName
            DependsOn = '[WaitForHybridRegistrationModule]ModuleWait'
        }
    }
}