param ( 
    [object]$WebhookData
)
$RequestBody = ConvertFrom-JSON -InputObject $WebhookData.RequestBody
#Mapping table to map Log Analytics DataType to .Net DataType
$DataTypes = @{
"bool" = "System.Boolean"
"datetime" = "System.DateTime"
"dynamic" = "System.Object"
"guid" = "System.Guid"
"int" = "System.Int32"
"long" = "System.Int64"
"real" = "System.Double"
"string" = "System.String"
"timespan" = "System.TimeSpan"
}
# Get all metadata properties    
$AlertRuleName = $RequestBody.AlertRuleName
$AlertThresholdOperator = $RequestBody.AlertThresholdOperator
$AlertThresholdValue = $RequestBody.AlertThresholdValue
$AlertDescription = $RequestBody.Description
$LinktoSearchResults =$RequestBody.LinkToSearchResults
$ResultCount =$RequestBody.ResultCount
$Severity = $RequestBody.Severity
$SearchQuery = $RequestBody.SearchQuery
$WorkspaceID = $RequestBody.WorkspaceId
$SearchWindowStartTime = $RequestBody.SearchIntervalStartTimeUtc
$SearchWindowEndTime = $RequestBody.SearchIntervalEndtimeUtc
$SearchWindowInterval = $RequestBody.SearchIntervalInSeconds
# Get detailed search results
if($RequestBody.SearchResult -ne $null)
{
    $SearchResultRows    = $RequestBody.SearchResult.tables[0].rows 
    $SearchResultColumns = $RequestBody.SearchResult.tables[0].columns;
    foreach ($SearchResultRow in $SearchResultRows)
    {   
        $Column = 0
        $Record = New-Object TypeName PSObject 
        foreach ($SearchResultColumn in $SearchResultColumns)
        {
            $Name = $SearchResultColumn.name
            $ColumnValue = $SearchResultRow[$Column]
            #Get .Net type from mapping table
            $NetType = $DataTypes[$SearchResultColumn.Type]
            $Value = $ColumnValue -as $NetType
            if($Value -eq $null) { throw "Could not convert value: '$ColumnValue' in field '$Name' into '$NetType'"}
            $Record | Add-Member MemberType NoteProperty Name $name Value $Value -Force 
            $Column++
        }
        # Include code to work with the record. 
    }
}