  cd "<location of template and template parameter file>"
  $OptionalParameters = New-Object -TypeName Hashtable
  $TemplateFile = ".\azuredeploy.json"
  $TemplateParametersFile = ".\azuredeploy.parameters.json"
  $ResourceGroupName = "OdysseyRG10"
  $ResourceGroupLocation = "local"
$JsonContent = Get-Content $TemplateParametersFile -Raw | ConvertFrom-Json
$JsonParameters = $JsonContent | Get-Member -Type NoteProperty 
| Where-Object {$_.Name -eq "parameters"}
if ($JsonParameters -eq $null) {
    $JsonParameters = $JsonContent
}
else {
    $JsonParameters = $JsonContent.parameters
}
$JsonParameters | Get-Member -Type NoteProperty | ForEach-Object {
    $ParameterValue = $JsonParameters 
    if ($ParameterValue.($_.Name).value -eq "[GUID]") {
        $OptionalParameters[$_.Name] = [GUID]::NewGuid()
    }
}

# Create or update the resource group using specified template file 
# and template parameters file
New-AzureRmResourceGroup -Name $ResourceGroupName 
-Location $ResourceGroupLocation -Verbose -Force -ErrorAction Stop 
New-AzureRmResourceGroupDeployment -Name ((Get-ChildItem $TemplateFile).BaseName + '-' + ((Get-Date).ToUniversalTime()).ToString('MMdd-HHmm')) `
                                -ResourceGroupName $ResourceGroupName `
                                -TemplateFile $TemplateFile `
                                -TemplateParameterFile $TemplateParametersFile `
                                @OptionalParameters `
                                -Force –Verbose
